Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225733 - Merge Review: eruby
Summary: Merge Review: eruby
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:33 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-27 03:45:51 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:33:38 UTC
Fedora Merge Review: eruby

http://cvs.fedora.redhat.com/viewcvs/devel/eruby/
Initial Owner: tagoh@redhat.com

Comment 1 Parag AN(पराग) 2007-09-21 14:12:52 UTC
Preliminary review
1) rpmlint on SRPM and RPMs gave me
eruby.src:9: W: buildprereq-use ruby
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

eruby.src:10: W: buildprereq-use ruby-devel >= 1.8.0
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

eruby.src: W: mixed-use-of-spaces-and-tabs (spaces: line 76, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

eruby.i386: E: non-standard-dir-perm /usr/share/doc/eruby-1.0.5/examples 02755
A standard directory should have permission set to 0755. If you get this
message, it means that you have wrong directory permissions in some dirs
included in your package.

eruby-libs.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

eruby-libs.i386: E: non-standard-executable-perm
/usr/lib/ruby/1.8/i386-linux/eruby.so 0555
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

eruby-devel.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

eruby-devel.i386: W: no-dependency-on eruby

eruby-devel.i386: W: summary-ended-with-dot Development files for eRuby.
Summary ends with a dot.


SHOULD:
  1)Avoid .a files
  2)use %defattr (-, root, root, -)
  3)Keep consistent usage of macros
     use %__install_p, %__rm, %__cp, %__make, %__chmod.
  4)Can't see License files installed.
  5) Any reason to use eruby-all.files way of installing files in %files section?

Comment 2 Akira TAGOH 2007-09-25 13:20:37 UTC
(In reply to comment #1)
> eruby-devel.i386: W: no-dependency-on eruby

No problem because eruby package provides a program and a library and -devel
package doesn't requires a "program" to develop eruby application.

Updated files are available at:

Spec File: http://tagoh.fedorapeople.org/eruby/eruby.spec
SRPM File: http://tagoh.fedorapeople.org/eruby/eruby-1.0.5-10.src.rpm


Comment 3 Parag AN(पराग) 2007-09-26 05:46:07 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but not for RPM.
  eruby-devel.i386: W: no-dependency-on eruby
+ source files match upstream.
af294fe34dc6cf24228aec95167b3099  eruby-1.0.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ -devel and -libs subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ Package eruby-1.0.5-10 ->
    Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcrypt.so.1 libdl.so.2 liberuby.so.1.0 libm.so.6
libpthread.so.0 libruby.so.1.8 rtld(GNU_HASH)
+ Package eruby-libs-1.0.5-10 ->
    Provides: eruby.so liberuby.so.1.0 ruby(eruby) = 1.0.5
    Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libcrypt.so.1 libdl.so.2
liberuby.so.1.0 libm.so.6 libpthread.so.0 libruby.so.1.8 rtld(GNU_HASH)
ruby(abi) = 1.8
+ Package eruby-devel-1.0.5-10 ->
    Requires: liberuby.so.1.0 ruby(eruby) = 1.0.5
+ Not a GUI app.

APPROVED.


Comment 4 Akira TAGOH 2007-09-27 03:45:51 UTC
Thanks for reviewing. the updated package has been built on koji.


Note You need to log in before you can comment on or make changes to this bug.